XScreenSaver(1)

NAME
apple2 - Apple ][ display emulator

SYNOPSIS
apple2 [-display host:display.screen] [-foreground color] [-background color] [-window] [-root] [-mono] [-install] [-visual visual] [-delay seconds] [-program command to run] [-text] [-slideshow] [-basic]

DESCRIPTION
The apple2 program simulates an original Apple ][ Plus computer in all its 1979 glory. It also reproduces the appearance of display on a color television set of the period.

There are 3 modes: text, slideshow, and basic. Normally it chooses a mode randomly, but you can override with the -text, -slideshow, or -basic options.

In text mode it displays the output of a command (by default your system's fortune program, but can be overridden with -program).

In slideshow mode it chooses a number of images from the image source you configured into XScreenSaver and displays them within the limitations of the Apple ][ display hardware. With only 6 available colors, you can only make out the general shape of the pictures.

In basic mode a simulated user types in a Basic program and runs it.

OPTIONS
apple2 accepts the following options:

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-mono
    If on a color display, pretend we're on a monochrome display.

-install
    Install a private colormap for the window.

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-delay delay
    The delay between displaying one crash and another.

-text
    Choose text mode

-slideshow
    Choose slideshow mode

-basic
    Choose basic mode

-program sh-command
    In text mode, the command to run to generate the text to display. This option may be any string acceptable to /bin/sh. The program will be run at the end of a pipe, and any characters that it prints to stdout will be printed on the Apple ][ display. If the program exits, it will be launched again after 3 seconds. Default: fortune(1). Note that apple2 is not a terminal emulator: programs that try to directly address the screen will not do what you might expect. It merely draws the characters on the screen left to right, top to bottom. Lines wrap when they reach the right edge, and the screen scrolls when characters reach the bottom. In other words, programs like fortune(1) will work, but programs like top(1) won't. For example:
        apple2 -text -program 'cat /usr/src/linux*/README | fold -sw40'
        apple2 -text -program 'ping apple.com'
        apple2 -text -program 'ps -e'
        apple2 -text -program 'od -txCz -w7 /dev/random'

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

X RESOURCES
Notable X resources supported include the following which correspond to standard TV controls: analogTVTint, analogTVColor, analogTVBrightness, and analogTVContrast which correspond to standard TV controls. They range from 0 to 100,except for tint which is an angle between -180 and +180.

TRADEMARKS
Apple ][ and Applesoft are trademarks of Apple Computer.

SEE ALSO
xscreensaver(1), bsod(1), fortune(1), phosphor(1), starwars(1), ljlatest(1), dadadodo(1), webcollage(1), driftnet(1) EtherPEG, EtherPeek

COPYRIGHT
Copyright © 2002-2003 by Trevor Blackwell. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Television and Apple ][ emulation by Trevor Blackwell <tlb@tlb.org>. Slideshow and text mode by Jamie Zawinski <jwz@jwz.org>.